DADA2 trimming and denoising issue for demultiplexed paired-end amplicons from MiSeq

Hi,

I am having the following error when I try to denoise and trim my qiime imported demultiplexed paired-end dataset.

Command:
qiime dada2 denoise-paired --i-demultiplexed-seqs demux-casava_paired-end.qza --o-table table --o-representative-sequences rep-seqs --p-trim-left-f 22 --p-trim-left-r 18 --p-trunc-len-f 225 --p-trunc-len-r 218

Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpndpfw4gw/forward /tmp/tmpndpfw4gw/reverse /tmp/tmpndpfw4gw/output.tsv.biom /tmp/tmpndpfw4gw/filt_f /tmp/tmpndpfw4gw/filt_r 225 218 22 18 2.0 2 consensus 1.0 1 1000000

R version 3.3.2 (2016-10-31)
Loading required package: Rcpp
There were 50 or more warnings (use warnings() to see the first 50)
DADA2 R package version: 1.2.2

  1. Filtering Traceback (most recent call last):
    File "/home/people/argl/.conda/envs/qiime2-2017.10/lib/python3.5/site-packages/q2_dada2/_denoise.py", line 179, in denoise_paired
    run_commands([cmd])
    File "/home/people/argl/.conda/envs/qiime2-2017.10/lib/python3.5/site-packages/q2_dada2/_denoise.py", line 35, in run_commands
    subprocess.run(cmd, check=True)
    File "/home/people/argl/.conda/envs/qiime2-2017.10/lib/python3.5/subprocess.py", line 398, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command '['run_dada_paired.R', '/tmp/tmpndpfw4gw/forward', '/tmp/tmpndpfw4gw/reverse', '/tmp/tmpndpfw4gw/output.tsv.biom', '/tmp/tmpndpfw4gw/filt_f', '/tmp/tmpndpfw4gw/filt_r', '225', '218', '22', '18', '2.0', '2', 'consensus', '1.0', '1', '1000000']' returned non-zero exit status -9

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/people/argl/.conda/envs/qiime2-2017.10/lib/python3.5/site-packages/q2cli/commands.py", line 218, in call
results = action(**arguments)
File "", line 2, in denoise_paired
File "/home/people/argl/.conda/envs/qiime2-2017.10/lib/python3.5/site-packages/qiime2/sdk/action.py", line 220, in bound_callable
output_types, provenance)
File "/home/people/argl/.conda/envs/qiime2-2017.10/lib/python3.5/site-packages/qiime2/sdk/action.py", line 355, in callable_executor
output_views = self._callable(**view_args)
File "/home/people/argl/.conda/envs/qiime2-2017.10/lib/python3.5/site-packages/q2_dada2/_denoise.py", line 194, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code -9), please inspect stdout and stderr to learn more.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code -9), please inspect stdout and stderr to learn more.

See above for debug info.

And here is how I imported my data successfully and my quality results:

qiime tools import --type 'SampleData[PairedEndSequencesWithQuality]' --input-path Seqs --source-format CasavaOneEightSingleLanePerSampleDirFmt --output-path demux-casava_paired-end.qza

Hi @parachrosis! Sorry to hear things aren’t going well :frowning:. Unfortunately, we see this dada2 -9 exit code error happen when a machine runs out of memory. The easiest solution is to run this somewhere with more memory — if you are on an academic cluster you could request more RAM. If not, you could try a QIIME 2 AWS EC2 instance, and run just this step there. Your final option is to process your samples as subsets, and then merge them after denoising. This isn’t recommended in DADA2, but:

So, your mileage may vary. Good luck and keep us posted! :t_rex:

An off-topic reply has been merged into an existing topic: DADA2 error: unused argument (method = “consensus”)

Please keep replies on-topic in the future.

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.